Run of fresh-snapshots for haskell-concurrent-output

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
[2022-07-16 23:58:17] Opening branch at https://salsa.debian.org/haskell-team/DHG_packages.git/,branch=master
Traceback (most recent call last):
  File "/usr/lib/python3.10/http/client.py", line 565, in _get_chunk_left
    chunk_left = self._read_next_chunk_size()
  File "/usr/lib/python3.10/http/client.py", line 532, in _read_next_chunk_size
    return int(line, 16)
ValueError: invalid literal for int() with base 16: b''

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.10/http/client.py", line 582, in _read_chunked
    chunk_left = self._get_chunk_left()
  File "/usr/lib/python3.10/http/client.py", line 567, in _get_chunk_left
    raise IncompleteRead(b'')
http.client.IncompleteRead: IncompleteRead(0 bytes read)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/code/janitor/worker.py", line 1029, in run_worker
    with process_package(
  File "/usr/lib/python3.10/contextlib.py", line 135, in __enter__
    return next(self.gen)
  File "/code/janitor/worker.py", line 657, in process_package
    cached_branch = open_branch(
  File "/code/silver-platter/silver_platter/utils.py", line 285, in open_branch
    raise e
  File "/code/silver-platter/silver_platter/utils.py", line 280, in open_branch
    return dir.open_branch(name=name)
  File "/code/breezy/breezy/git/remote.py", line 592, in open_branch
    if not nascent_ok and ref not in self.get_refs_container():
  File "/code/breezy/breezy/git/remote.py", line 613, in get_refs_container
    result = self.fetch_pack(lambda x: None, None,
  File "/code/breezy/breezy/git/remote.py", line 481, in fetch_pack
    result = self._client.fetch_pack(
  File "/code/dulwich/dulwich/client.py", line 2079, in fetch_pack
    refs, server_capabilities, url = self._discover_references(
  File "/code/dulwich/dulwich/client.py", line 1955, in _discover_references
    [pkt] = list(proto.read_pkt_seq())
  File "/code/dulwich/dulwich/protocol.py", line 287, in read_pkt_seq
    pkt = self.read_pkt_line()
  File "/code/dulwich/dulwich/protocol.py", line 230, in read_pkt_line
    sizestr = read(4)
  File "/code/breezy/breezy/transport/http/urllib.py", line 1901, in read
    return self._actual.read(amt)
  File "/usr/lib/python3.10/http/client.py", line 459, in read
    return self._read_chunked(amt)
  File "/usr/lib/python3.10/http/client.py", line 597, in _read_chunked
    raise IncompleteRead(b''.join(value))
http.client.IncompleteRead: IncompleteRead(0 bytes read)

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☒ merge proposals for the package maintainer are currently being rate-limited (open: 12, max open: 5)
  • ☒ change set 4a26ef9c-7069-4f63-92af-b6d27ef7d81f is working

Full worker log